YUI Flash Component Documentation |
Class BitmapText

Package | com.yahoo.astra.display
Class | public class BitmapText
Inheritance | BitmapText flash.display.Sprite

BitmapText is a class that can be used to create rotating text fields with device fonts. When the rotation property is set to a value other than 0 and the `embedFonts` is false, the text field will be replaced by a Sprite containing a bitmap.

Public Properties

| Property | Defined by
--- | --- | ---
|  | autoSize : String Controls automatic sizing and alignment of text fields. | BitmapText
|  | defaultTextFormat : TextFormat Specifies the format applied to newly inserted text, such as text inserted with the `replaceSelectedText()` method or text entered by a user. | BitmapText
|  | embedFonts : Boolean Specifies whether to render by using embedded font outlines. | BitmapText
|  | height : Number [read-only] | BitmapText
|  | rotation : Number | BitmapText
|  | selectable : Boolean A Boolean value that indicates whether the text field is selectable. | BitmapText
|  | text : String A string that is the current text in the text field. | BitmapText
|  | textField : TextField Reference to the text field | BitmapText
|  | width : Number [read-only] | BitmapText

Public Methods

| Method | Defined by
--- | --- | ---
|  | BitmapText() Constructor | BitmapText

Property detail

autoSize | property

`autoSize:String` [read-write]

Controls automatic sizing and alignment of text fields.

Implementation
`public function get autoSize():String`
`public function set autoSize(value:String):void`

defaultTextFormat | property |

`defaultTextFormat:TextFormat` [read-write]

Specifies the format applied to newly inserted text, such as text inserted with the `replaceSelectedText()` method or text entered by a user.

Implementation
`public function get defaultTextFormat():TextFormat`
`public function set defaultTextFormat(value:TextFormat):void`

embedFonts | property |

`embedFonts:Boolean` [read-write]

Specifies whether to render by using embedded font outlines.

Implementation
`public function get embedFonts():Boolean`
`public function set embedFonts(value:Boolean):void`

height | property |

`height:Number` [read-only]

Implementation
`public function get height():Number`

rotation | property |

`rotation:Number` [read-write]

Implementation
`public function get rotation():Number`
`public function set rotation(value:Number):void`

selectable | property |

`selectable:Boolean` [read-write]

A Boolean value that indicates whether the text field is selectable.

Implementation
`public function get selectable():Boolean`
`public function set selectable(value:Boolean):void`

text | property |

`text:String` [read-write]

A string that is the current text in the text field.

Implementation
`public function get text():String`
`public function set text(value:String):void`

textField | property |

`textField:TextField` [read-write]

Reference to the text field

Implementation
`public function get textField():TextField`
`public function set textField(value:TextField):void`

width | property |

`width:Number` [read-only]

Implementation
`public function get width():Number`
Constructor detail

BitmapText | () | constructor

`public function BitmapText()`

Constructor